Trouble with PHP5 and SQLite 3

After fiddling for a while with SQLite 3 and PHP 5.0.4 on the Mac PowerBook (OS 10.4.2) I’ve been using, I just saw that the current version of PHP does not include support for SQLite 3. Only for version 2. Dangit.

I don’t think I’m going to bother installing SQLite 2 just so it can work with PHP. Hopefully a new version of PHP will be released that includes the support.

I have PHP and SQLite working fine on a Windows XP system at MSU, so I’ll just use that for now. I’m just looking into it to learn it at this point.

Author: Davin Granroth

Davin is Chief Operating Officer for Covenant Eyes, Inc. in Owosso, MI, USA, where he gets to mix his background in user experience design, research, and strategy with the operation of a software company. For more, see his LinkedIn profile.

Leave a Reply

Your email address will not be published. Required fields are marked *